<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__hids__char__value__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_hids_char_value_t</compoundname>
    <includes local="no">cy_ble_hids.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__hids__char__value__t_1a355a5e9355df733a927655d52995c229" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
        <definition>cy_stc_ble_conn_handle_t cy_stc_ble_hids_char_value_t::connHandle</definition>
        <argsstring />
        <name>connHandle</name>
        <briefdescription>
<para>Peer Device Handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" bodystart="263" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" line="263" />
      </memberdef>
      <memberdef id="structcy__stc__ble__hids__char__value__t_1ab024188a1e90fd536e5d4fd16123ab75" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_hids_char_value_t::serviceIndex</definition>
        <argsstring />
        <name>serviceIndex</name>
        <briefdescription>
<para>Index of HID Service. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" bodystart="264" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" line="264" />
      </memberdef>
      <memberdef id="structcy__stc__ble__hids__char__value__t_1ab9bfab56f56007d9bf0722c92f7c70be" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__service__api___h_i_d_s__definitions_1ga99c20fffea627123d0bc3c970c2a5a51">cy_en_ble_hids_char_index_t</ref></type>
        <definition>cy_en_ble_hids_char_index_t cy_stc_ble_hids_char_value_t::charIndex</definition>
        <argsstring />
        <name>charIndex</name>
        <briefdescription>
<para>Index of HID Service Characteristic. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" bodystart="265" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" line="265" />
      </memberdef>
      <memberdef id="structcy__stc__ble__hids__char__value__t_1a9ec1e322b08309484751ebd79aa81484" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__gatt__value__t">cy_stc_ble_gatt_value_t</ref> *</type>
        <definition>cy_stc_ble_gatt_value_t* cy_stc_ble_hids_char_value_t::value</definition>
        <argsstring />
        <name>value</name>
        <briefdescription>
<para>Pointer to Characteristic Value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" bodystart="266" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" line="266" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>HID Service Characteristic Value parameter structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="791">
        <label>cy_stc_ble_conn_handle_t</label>
        <link refid="structcy__stc__ble__conn__handle__t" />
      </node>
      <node id="790">
        <label>cy_stc_ble_gatt_value_t</label>
        <link refid="structcy__stc__ble__gatt__value__t" />
      </node>
      <node id="789">
        <label>cy_stc_ble_hids_char_value_t</label>
        <link refid="structcy__stc__ble__hids__char__value__t" />
        <childnode refid="790" relation="usage">
          <edgelabel>value</edgelabel>
        </childnode>
        <childnode refid="791" relation="usage">
          <edgelabel>connHandle</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="267" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" bodystart="261" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" line="262" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__hids__char__value__t_1ab9bfab56f56007d9bf0722c92f7c70be" virt="non-virtual"><scope>cy_stc_ble_hids_char_value_t</scope><name>charIndex</name></member>
      <member prot="public" refid="structcy__stc__ble__hids__char__value__t_1a355a5e9355df733a927655d52995c229" virt="non-virtual"><scope>cy_stc_ble_hids_char_value_t</scope><name>connHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__hids__char__value__t_1ab024188a1e90fd536e5d4fd16123ab75" virt="non-virtual"><scope>cy_stc_ble_hids_char_value_t</scope><name>serviceIndex</name></member>
      <member prot="public" refid="structcy__stc__ble__hids__char__value__t_1a9ec1e322b08309484751ebd79aa81484" virt="non-virtual"><scope>cy_stc_ble_hids_char_value_t</scope><name>value</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>